Upstream information

CVE-2013-1913 at MITRE

Description

Integer overflow in the load_image function in file-xwd.c in the X Window Dump (XWD) plug-in in GIMP 2.6.9 and earlier, when used with glib before 2.24, allows remote attackers to cause a denial of service (crash) and possibly execute arbitrary code via a large color entries value in an X Window System (XWD) image dump.

SUSE information

Overall state of this security issue: Resolved

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact Partial
Availability Impact Partial
SUSE Bugzilla entry: 853423 [RESOLVED / FIXED]

SUSE Security Advisories:

List of released packages

Product(s) Fixed package version(s) References
SUSE Linux Enterprise Desktop 11 SP3
  • gimp >= 2.6.2-3.34.45.1
  • gimp-lang >= 2.6.2-3.34.45.1
  • gimp-plugins-python >= 2.6.2-3.34.45.1
Patchnames:
sledsp3-gimp
SUSE Linux Enterprise Software Development Kit 11 SP3
  • gimp >= 2.6.2-3.34.45.1
  • gimp-devel >= 2.6.2-3.34.45.1
  • gimp-lang >= 2.6.2-3.34.45.1
  • gimp-plugins-python >= 2.6.2-3.34.45.1
Patchnames:
sdksp3-gimp
SUSE Linux Enterprise Software Development Kit 11 SP4
  • gimp >= 2.6.2-3.34.45.1
  • gimp-devel >= 2.6.2-3.34.45.1
  • gimp-lang >= 2.6.2-3.34.45.1
  • gimp-plugins-python >= 2.6.2-3.34.45.1
Patchnames:
SUSE Linux Enterprise Software Development Kit 11 SP4 GA gimp
SUSE Linux Enterprise Software Development Kit 11 SP3
  • gimp >= 2.6.2-3.34.45.1
  • gimp-devel >= 2.6.2-3.34.45.1
  • gimp-lang >= 2.6.2-3.34.45.1
  • gimp-plugins-python >= 2.6.2-3.34.45.1
Builds
SAT Patch Nr: 8856
SUSE Linux Enterprise Desktop 11 SP3
  • gimp >= 2.6.2-3.34.45.1
  • gimp-lang >= 2.6.2-3.34.45.1
  • gimp-plugins-python >= 2.6.2-3.34.45.1
Builds
SAT Patch Nr: 8856


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
SUSE Linux Enterprise Desktop 11 SP2 gimp Affected
SUSE Linux Enterprise Desktop 11 SP3 gimp Released
SUSE Linux Enterprise SDK 11 SP2 gimp Affected
SUSE Linux Enterprise SDK 11 SP3 gimp Released